Bug 1511381 - Review Request: R-assertthat - Easy Pre and Post Assertions
Summary: Review Request: R-assertthat - Easy Pre and Post Assertions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 09:32 UTC by Elliott Sales de Andrade
Modified: 2017-11-22 02:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 23:29:50 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-11-09 09:32:25 UTC
Spec URL: http://qulogic.fedorapeople.org//R-assertthat.spec
SRPM URL: http://qulogic.fedorapeople.org//R-assertthat-0.2.0-1.fc26.src.rpm

Description:
assertthat is an extension to stopifnot() that makes it easy to declare
the pre and post conditions that you code should satisfy, while also
producing friendly error messages so that your users know what they've
done wrong.

Comment 1 Elliott Sales de Andrade 2017-11-09 09:32:31 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=23009532

Comment 2 Robert-André Mauchin 🐧 2017-11-09 11:15:47 UTC
Hello,


 - Consider asking upstream for a license file.

Package accepted.

Comment 3 Gwyn Ciesla 2017-11-09 22:31:24 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-assertthat

Comment 4 Fedora Update System 2017-11-09 23:24:16 UTC
R-assertthat-0.2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6a733bab79

Comment 5 Fedora Update System 2017-11-09 23:24:40 UTC
R-assertthat-0.2.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b20d77e58b

Comment 6 Fedora Update System 2017-11-11 17:30:48 UTC
R-assertthat-0.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b20d77e58b

Comment 7 Fedora Update System 2017-11-12 02:40:20 UTC
R-assertthat-0.2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6a733bab79

Comment 8 Fedora Update System 2017-11-21 23:29:50 UTC
R-assertthat-0.2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-22 02:27:37 UTC
R-assertthat-0.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.